Oculus Runtime 0.6/0.7 转换方式(无需重启)

0

Oculus 的 0.7 版本 Runtime 是一次几乎相当于 DK1 到 DK2 那么大的更新,因为正式支持了 Windows10 以及直连驱动模式,同时也需要 AMD 和 NVIDIA 最新的显卡驱动支持。由于 Oculus 各版本 Runtime 之间针对的应用程序并不兼容,因此你在使用目前大量的老版本的资源时还必须用 0.6 版本的 Runtime。以下方式假设你已安装最新的 0.7 版 Oculus Runtime。

  • 卸载 Oculus Runtime 0.7
  • 安装 Oculus Runtime 0.6
  • 将 C:\program files (x86)\Oculus 目录下的文件复制到另一个地方。
  • 卸载 Oculus Runtime 0.6,重新安装 Oculus Runtime 0.7
  • 打开记事本,输入以下文字,另存为 0600.cmd(注意 Oculus_0600 为你复制的 0.6 runtime 文件夹名称)
    net stop OVRService
    "C:\program files (x86)\Oculus\Tools\DirectDisplayConfig.exe" off
    taskkill /f /im OculusConfigUtil.exe
    cd "C:\program files (x86)\"
    start "" Oculus_0600\Service\OVRServer_x64.exe
    start "" Oculus_0600\Tools\OculusConfigUtil.exe
  • 打开记事本,输入以下文字,另存为 0700.cmd
    taskkill /f /im OculusConfigUtil.exe
    taskkill /f /im OVRServer_x64.exe
    "C:\program files (x86)\Oculus\Tools\DirectDisplayConfig.exe" on
    net start OVRService
    start "" "C:\program files (x86)\Oculus\Tools\OculusConfigUtil.exe"
  • 右键以上任一文件,选择“以管理员身份运行”来把 Runtime 转换到对应版本!

注意修改文件路径对应到你的系统。

oculus-rift-simple


Source:Reddit0.8-13.2

LEAVE A REPLY

Please enter your comment!
Please enter your name here